package com.zanxiang.manage.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.apache.tomcat.jni.Time;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = {"示例接口"})
@RestController
@RequestMapping("/game/test/")
@Slf4j
@Component
public class TestController {

    @ApiOperation(value = "根据id获取")
    @GetMapping("/index")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功")})
    public String index() {
        return "game-manage service" + new Time();
    }
}
