package com.zanxiang.manage.domain.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 注释
 *
 * @author xufeng
 * @date 2022-05-31 17:06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor

public class Demo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 是否启用
     */
    private Integer isEnable;

    /**
     * 内容
     */
    private String content;
}
