package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 渠道表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_channel")
public class Channel {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 平台名称
     */
    private String channelName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 职位
     */
    private String position;

    /**
     * 1 伪删除  2 正常
     */
    private Boolean isDelete;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}