package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 玩家拓展表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_user_ext")
public class UserExt {

    /**
     * user_id
     */
    @TableId(value = "id")
    private Long userId;

    /**
     * 注册IP
     */
    private String regIp;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 身份证类型 1、身份证
     */
    private Boolean identifyType;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 上次登录时间
     */
    private LocalDateTime lastLoginTime;

    /**
     * 上次登录ip
     */
    private String lastLoginIp;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

    /**
     * 更改时间
     */
    private LocalDateTime updateTime;
}