package com.zanxiang.manage;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;


@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
public class ManageApplication {

	public static void main(String[] args) {
		SpringApplication.run(ManageApplication.class, args);
		System.out.println("赞象Manage服务启动成功 ( ´･･)ﾉ(._.`) \n" +
				" ______  __     __     \n" +
				"/_____/\\/__/\\ /__/\\    \n" +
				"\\:::__\\/\\ \\::\\\\:.\\ \\   \n" +
				"   /: /  \\_\\::_\\:_\\/   \n" +
				"  /::/___  _\\/__\\_\\_/\\ \n" +
				" /_:/____/\\\\ \\ \\ \\::\\ \\\n" +
				" \\_______\\/ \\_\\/  \\__\\/\n");
	}

}
