package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CommonParam {
    //==============必须携带相关参数===========
    @ApiModelProperty("token")
    String token;

    @ApiModelProperty("游戏id")
    String game_id;

    //==============device 相关===============
    @ApiModelProperty("设备id")
    @JsonAlias("device-device_id")
    String device_id;

    @ApiModelProperty("mac设备")
    @JsonAlias("device-mac")
    String device_mac;

    @ApiModelProperty("设备品牌")
    @JsonAlias("device-brand")
    String device_brand;

    @ApiModelProperty("设备型号代码")
    @JsonAlias("device-model")
    String device_model;

//            "device-os":"",
//            "device-os_version":"",
//            "device-screen":"",
//            "device-net":"",
//            "device-imsi":"",
//            "device-longitude":"",
//            "device-latitude":"",
//            "device-userua":"",
//            "device-disk_space":"",
//            "device-open_time":"",
//            "device-is_charge":"",
//            "device-screen_luminance":"",
//            "device-has_sim":"",
//            "device-is_break":""
}
